Index: flashchips.c
===================================================================
--- flashchips.c	(revision 1790)
+++ flashchips.c	(working copy)
@@ -9132,6 +9132,37 @@
 
 	{
 		.vendor		= "Sanyo",
+		.name		= "LE25FU406B",
+		.bustype	= BUS_SPI,
+		.manufacture_id	= SANYO_ID,
+		.model_id	= SANYO_LE25FU406B,
+		.total_size	= 512,
+		.page_size	= 256,
+		.feature_bits	= FEATURE_WRSR_WREN,
+		.tested		= TEST_OK_PREW,
+		.probe		= probe_spi_res2,
+		.probe_timing	= TIMING_ZERO,
+		.block_erasers	= {
+			{
+				.eraseblocks = { {4 * 1024, 128} },
+				.block_erase = spi_block_erase_d7,
+			},	{
+				.eraseblocks = { {64 * 1024, 8} },
+				.block_erase = spi_block_erase_d8,
+			},	{
+				.eraseblocks = { {512 * 1024, 1} },
+				.block_erase = spi_block_erase_c7,
+				}
+			},
+		.printlock	= spi_prettyprint_status_register_default_bp2,
+		.unlock		= spi_disable_blockprotect, /* #WP pin write-protects SRWP bit. */
+		.write		= spi_chip_write_256,
+		.read		= spi_chip_read, 
+		.voltage	= {2300, 3600},
+	},
+
+	{
+		.vendor		= "Sanyo",
 		.name		= "LE25FW806",
 		.bustype	= BUS_SPI,
 		.manufacture_id	= SANYO_ID,
Index: flashchips.h
===================================================================
--- flashchips.h	(revision 1790)
+++ flashchips.h	(working copy)
@@ -539,6 +539,7 @@
 #define SANYO_LE25FW418A	0x10	/* RES2 and some weird 1 byte RDID variant */
 #define SANYO_LE25FW806		0x26	/* RES2 and some weird 1 byte RDID variant */
 #define SANYO_LE25FW808		0x20	/* RES2 and some weird 1 byte RDID variant */
+#define SANYO_LE25FU406B	0x1E	/* LE25FW418A without HD_READ mode option variant */
 
 #define SHARP_ID		0xB0	/* Sharp */
 #define SHARP_LH28F008BJ__PT	0xEC
